## AwnAlignment AwnAlignment |

## Synopsis

                        AwnAlignmentPrivate;
                        AwnAlignment;
    GtkWidget *         awn_alignment_new_for_applet        (AwnApplet *applet);
    gint                awn_alignment_get_offset_modifier   (AwnAlignment *alignment);
    void                awn_alignment_set_offset_modifier   (AwnAlignment *alignment,
                                                             gint modifier);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkAlignment
                                           +----AwnAlignment

## Implemented Interfaces

AwnAlignment implements AtkImplementorIface and GtkBuildable.

## Properties

      "applet"                   AwnApplet*            : Read / Write
      "offset-modifier"          gint                  : Read / Write / Construct
      "offset-multiplier"        gfloat                : Read / Write
      "scale"                    gfloat                : Read / Write

## Description

## Details

### AwnAlignmentPrivate

    typedef struct _AwnAlignmentPrivate AwnAlignmentPrivate;

### AwnAlignment

    typedef struct _AwnAlignment AwnAlignment;

### awn_alignment_new_for_applet ()

    GtkWidget *         awn_alignment_new_for_applet        (AwnApplet *applet);

`applet` : |
Returns : |

### awn_alignment_get_offset_modifier ()

    gint                awn_alignment_get_offset_modifier   (AwnAlignment *alignment);

`alignment` : |
Returns : |

### awn_alignment_set_offset_modifier ()

    void                awn_alignment_set_offset_modifier   (AwnAlignment *alignment,
                                                             gint modifier);

`alignment` : |
`modifier` : |

## Property Details

### The `"applet"` property

      "applet"                   AwnApplet*            : Read / Write

Applet from which properties are read out.

### The `"offset-modifier"` property

      "offset-modifier"          gint                  : Read / Write / Construct

Offset modifier.

Default value: 0

### The `"offset-multiplier"` property

      "offset-multiplier"        gfloat                : Read / Write

Offset multiplier.

Allowed values: [0,1]

Default value: 1

### The `"scale"` property

      "scale"                    gfloat                : Read / Write

If available space is bigger than needed for the child, how much of it to use for the child. 0.0 means none, 1.0 means all.

Allowed values: [0,1]

Default value: 1